<?php
// This file was auto-generated from sdk-root/src/data/securityhub/2018-10-26/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>AWS Security Hub provides you with a comprehensive view of your security state within AWS and your compliance with the security industry standards and best practices. Security Hub collects security data from across AWS accounts, services, and supported third-party partners and helps you analyze your security trends and identify the highest priority security issues. For more information, see <a href="https://docs.aws.amazon.com/securityhub/latest/userguide/what-is-securityhub.html">AWS Security Hub User Guide</a>. </p> <important> <p>Currently, AWS Security Hub is in Preview release.</p> </important>', 'operations' => [ 'AcceptInvitation' => '<p>Accepts the invitation to be monitored by a master SecurityHub account.</p>', 'BatchDisableStandards' => '<p>Disables the standards specified by the standards subscription ARNs. In the context of Security Hub, supported standards (for example, CIS AWS Foundations) are automated and continuous checks that help determine your compliance status against security industry (including AWS) best practices. </p>', 'BatchEnableStandards' => '<p>Enables the standards specified by the standards ARNs. In the context of Security Hub, supported standards (for example, CIS AWS Foundations) are automated and continuous checks that help determine your compliance status against security industry (including AWS) best practices. </p>', 'BatchImportFindings' => '<p>Imports security findings that are generated by the integrated third-party products into Security Hub.</p>', 'CreateInsight' => '<p>Creates an insight, which is a consolidation of findings that identifies a security area that requires attention or intervention.</p>', 'CreateMembers' => '<p>Creates member Security Hub accounts in the current AWS account (which becomes the master Security Hub account) that has Security Hub enabled.</p>', 'DeclineInvitations' => '<p>Declines invitations that are sent to this AWS account (invitee) by the AWS accounts (inviters) that are specified by the account IDs. </p>', 'DeleteInsight' => '<p>Deletes an insight that is specified by the insight ARN.</p>', 'DeleteInvitations' => '<p>Deletes invitations that are sent to this AWS account (invitee) by the AWS accounts (inviters) that are specified by their account IDs. </p>', 'DeleteMembers' => '<p>Deletes the Security Hub member accounts that are specified by the account IDs.</p>', 'DisableImportFindingsForProduct' => '<p>Cancels the subscription that allows a findings-generating solution (product) to import its findings into Security Hub.</p>', 'DisableSecurityHub' => '<p>Disables the AWS Security Hub Service.</p>', 'DisassociateFromMasterAccount' => '<p>Disassociates the current Security Hub member account from its master account.</p>', 'DisassociateMembers' => '<p>Disassociates the Security Hub member accounts that are specified by the account IDs from their master account. </p>', 'EnableImportFindingsForProduct' => '<p>Sets up the subscription that enables a findings-generating solution (product) to import its findings into Security Hub.</p>', 'EnableSecurityHub' => '<p>Enables the AWS Security Hub service.</p>', 'GetEnabledStandards' => '<p>Lists and describes enabled standards.</p>', 'GetFindings' => '<p>Lists and describes Security Hub-aggregated findings that are specified by filter attributes.</p>', 'GetInsightResults' => '<p>Lists the results of the Security Hub insight specified by the insight ARN.</p>', 'GetInsights' => '<p>Lists and describes insights that are specified by insight ARNs.</p>', 'GetInvitationsCount' => '<p>Returns the count of all Security Hub membership invitations that were sent to the current member account, not including the currently accepted invitation. </p>', 'GetMasterAccount' => '<p>Provides the details for the Security Hub master account to the current member account. </p>', 'GetMembers' => '<p>Returns the details on the Security Hub member accounts that are specified by the account IDs. </p>', 'InviteMembers' => '<p>Invites other AWS accounts to enable Security Hub and become Security Hub member accounts. When an account accepts the invitation and becomes a member account, the master account can view Security Hub findings of the member account. </p>', 'ListEnabledProductsForImport' => '<p>Lists all findings-generating solutions (products) whose findings you\'ve subscribed to receive in Security Hub.</p>', 'ListInvitations' => '<p>Lists all Security Hub membership invitations that were sent to the current AWS account. </p>', 'ListMembers' => '<p>Lists details about all member accounts for the current Security Hub master account.</p>', 'UpdateFindings' => '<p>Updates the AWS Security Hub-aggregated findings specified by the filter attributes.</p>', 'UpdateInsight' => '<p>Updates the AWS Security Hub insight specified by the insight ARN.</p>', ], 'shapes' => [ 'AcceptInvitationRequest' => [ 'base' => NULL, 'refs' => [], ], 'AcceptInvitationResponse' => [ 'base' => NULL, 'refs' => [], ], 'AccessDeniedException' => [ 'base' => '<p>You do not have permission to to perform the action specified in the request.</p>', 'refs' => [], ], 'AccountDetails' => [ 'base' => '<p>The details of an AWS account.</p>', 'refs' => [ 'AccountDetailsList$member' => NULL, ], ], 'AccountDetailsList' => [ 'base' => NULL, 'refs' => [ 'CreateMembersRequest$AccountDetails' => '<p>A list of account ID and email address pairs of the accounts that you want to associate with the master Security Hub account.</p>', ], ], 'AccountId' => [ 'base' => NULL, 'refs' => [ 'AccountDetails$AccountId' => '<p>The ID of an AWS account.</p>', 'Invitation$AccountId' => '<p>The account ID of the master Security Hub account who sent the invitation. </p>', 'Member$AccountId' => '<p>The AWS account ID of a Security Hub member account.</p>', 'Result$AccountId' => '<p>An ID of the AWS account that could not be processed. </p>', ], ], 'AccountIdList' => [ 'base' => NULL, 'refs' => [ 'DeclineInvitationsRequest$AccountIds' => '<p>A list of account IDs specifying accounts whose invitations to Security Hub you want to decline. </p>', 'DeleteInvitationsRequest$AccountIds' => '<p>A list of account IDs specifying accounts whose invitations to Security Hub you want to delete. </p>', 'DeleteMembersRequest$AccountIds' => '<p>A list of account IDs of the Security Hub member accounts that you want to delete. </p>', 'DisassociateMembersRequest$AccountIds' => '<p>The account IDs of the member accounts that you want to disassociate from the master account.</p>', 'GetMembersRequest$AccountIds' => '<p>A list of account IDs for the Security Hub member accounts on which you want to return the details. </p>', 'InviteMembersRequest$AccountIds' => '<p>A list of IDs of the AWS accounts that you want to invite to Security Hub as members. </p>', ], ], 'ArnList' => [ 'base' => NULL, 'refs' => [ 'GetInsightsRequest$InsightArns' => '<p>The ARNS of the insights that you want to describe.</p>', ], ], 'AwsEc2InstanceDetails' => [ 'base' => '<p>The details of an AWS EC2 instance.</p>', 'refs' => [ 'ResourceDetails$AwsEc2Instance' => '<p>The details of an AWS EC2 instance.</p>', ], ], 'AwsIamAccessKeyDetails' => [ 'base' => '<p>AWS IAM access key details related to a finding.</p>', 'refs' => [ 'ResourceDetails$AwsIamAccessKey' => '<p>AWS IAM access key details related to a finding.</p>', ], ], 'AwsIamAccessKeyStatus' => [ 'base' => NULL, 'refs' => [ 'AwsIamAccessKeyDetails$Status' => '<p>The status of the IAM access key related to a finding.</p>', ], ], 'AwsS3BucketDetails' => [ 'base' => '<p>The details of an AWS S3 Bucket.</p>', 'refs' => [ 'ResourceDetails$AwsS3Bucket' => '<p>The details of an AWS S3 Bucket.</p>', ], ], 'AwsSecurityFinding' => [ 'base' => '<p>Provides consistent format for the contents of the Security Hub-aggregated findings. AwsSecurityFinding format enables you to share findings between AWS security services and third-party solutions, and compliance checks.</p> <note> <p>A finding is a potential security issue generated either by AWS services (GuardDuty, Inspector, Macie) or by the integrated third-party solutions and compliance checks.</p> </note>', 'refs' => [ 'AwsSecurityFindingList$member' => NULL, ], ], 'AwsSecurityFindingFilters' => [ 'base' => '<p>A collection of attributes that are applied to all active Security Hub-aggregated findings and that result in a subset of findings that are included in this insight. </p>', 'refs' => [ 'CreateInsightRequest$Filters' => '<p>A collection of attributes that are applied to all active Security Hub-aggregated findings and that result in a subset of findings that are included in this insight.</p>', 'GetFindingsRequest$Filters' => '<p>A collection of attributes that is use for querying findings.</p>', 'Insight$Filters' => '<p>A collection of attributes that are applied to all active Security Hub-aggregated findings and that result in a subset of findings that are included in this insight. </p>', 'UpdateFindingsRequest$Filters' => '<p>A collection of attributes that specify what findings you want to update.</p>', 'UpdateInsightRequest$Filters' => '<p>The updated filters that define this insight.</p>', ], ], 'AwsSecurityFindingList' => [ 'base' => NULL, 'refs' => [ 'BatchImportFindingsRequest$Findings' => '<p>A list of findings that you want to import. Must be submitted in the AWSSecurityFinding format.</p>', 'GetFindingsResponse$Findings' => '<p>Findings details returned by the operation.</p>', ], ], 'BatchDisableStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchDisableStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchEnableStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchEnableStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchImportFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchImportFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'ListMembersRequest$OnlyAssociated' => '<p>Specifies what member accounts the response includes based on their relationship status with the master account. The default value is TRUE. If onlyAssociated is set to TRUE, the response includes member accounts whose relationship status with the master is set to ENABLED or DISABLED. If onlyAssociated is set to FALSE, the response includes all existing member accounts. </p>', ], ], 'Compliance' => [ 'base' => '<p>Exclusive to findings that are generated as the result of a check run against a specific rule in a supported standard (for example, AWS CIS Foundations). Contains compliance-related finding details.</p>', 'refs' => [ 'AwsSecurityFinding$Compliance' => '<p>This data type is exclusive to findings that are generated as the result of a check run against a specific rule in a supported standard (for example, AWS CIS Foundations). Contains compliance-related finding details.</p>', ], ], 'ComplianceStatus' => [ 'base' => NULL, 'refs' => [ 'Compliance$Status' => '<p>Indicates the result of a compliance check.</p>', ], ], 'ContainerDetails' => [ 'base' => '<p>Container details related to a finding.</p>', 'refs' => [ 'ResourceDetails$Container' => '<p>Container details related to a finding.</p>', ], ], 'CreateInsightRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateInsightResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'DateFilter' => [ 'base' => '<p>A date filter for querying findings.</p>', 'refs' => [ 'DateFilterList$member' => NULL, ], ], 'DateFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$FirstObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the potential security issue captured by a finding was first observed by the security findings provider.</p>', 'AwsSecurityFindingFilters$LastObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the potential security issue captured by a finding was most recently observed by the security findings provider.</p>', 'AwsSecurityFindingFilters$CreatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the potential security issue captured by a finding was created by the security findings provider.</p>', 'AwsSecurityFindingFilters$UpdatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the finding record was last updated by the security findings provider. </p>', 'AwsSecurityFindingFilters$ProcessLaunchedAt' => '<p>The date/time that the process was launched.</p>', 'AwsSecurityFindingFilters$ProcessTerminatedAt' => '<p>The date/time that the process was terminated.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorLastObservedAt' => '<p>The date/time of the last observation of a threat intel indicator.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceLaunchedAt' => '<p>The date/time the instance was launched.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyCreatedAt' => '<p>The creation date/time of the IAM access key related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerLaunchedAt' => '<p>The date/time that the container was started.</p>', 'AwsSecurityFindingFilters$NoteUpdatedAt' => '<p>The timestamp of when the note was updated.</p>', ], ], 'DateRange' => [ 'base' => '<p>A date range for the date filter.</p>', 'refs' => [ 'DateFilter$DateRange' => '<p>A date range for the date filter.</p>', ], ], 'DateRangeUnit' => [ 'base' => NULL, 'refs' => [ 'DateRange$Unit' => '<p>A date range unit for the date filter.</p>', ], ], 'DeclineInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeclineInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInsightRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInsightResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisableImportFindingsForProductRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisableImportFindingsForProductResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisableSecurityHubRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisableSecurityHubResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFromMasterAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateFromMasterAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'Double' => [ 'base' => NULL, 'refs' => [ 'NumberFilter$Gte' => '<p>Represents the "greater than equal" condition to be applied to a single field when querying for findings. </p>', 'NumberFilter$Lte' => '<p>Represents the "less than equal" condition to be applied to a single field when querying for findings. </p>', 'NumberFilter$Eq' => '<p>Represents the "equal to" condition to be applied to a single field when querying for findings.</p>', 'Severity$Product' => '<p>The native severity as defined by the security findings provider\'s solution that generated the finding.</p>', ], ], 'EnableImportFindingsForProductRequest' => [ 'base' => NULL, 'refs' => [], ], 'EnableImportFindingsForProductResponse' => [ 'base' => NULL, 'refs' => [], ], 'EnableSecurityHubRequest' => [ 'base' => NULL, 'refs' => [], ], 'EnableSecurityHubResponse' => [ 'base' => NULL, 'refs' => [], ], 'FieldMap' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$ProductFields' => '<p>A data type where security findings providers can include additional solution-specific details that are not part of the defined AwsSecurityFinding format.</p>', 'AwsSecurityFinding$UserDefinedFields' => '<p>A list of name/value string pairs associated with the finding. These are custom, user-defined fields added to a finding. </p>', 'Resource$Tags' => '<p>A list of AWS tags associated with a resource at the time the finding was processed.</p>', 'ResourceDetails$Other' => '<p>The details of a resource that does not have a specific sub-field for the resource type defined.</p>', ], ], 'GetEnabledStandardsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEnabledStandardsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightResultsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightResultsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightsRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInsightsResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetInvitationsCountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetInvitationsCountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMasterAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMasterAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'ImportFindingsError' => [ 'base' => '<p>Includes details of the list of the findings that cannot be imported. </p>', 'refs' => [ 'ImportFindingsErrorList$member' => NULL, ], ], 'ImportFindingsErrorList' => [ 'base' => NULL, 'refs' => [ 'BatchImportFindingsResponse$FailedFindings' => '<p>The list of the findings that cannot be imported.</p>', ], ], 'Insight' => [ 'base' => '<p>Contains information about a Security Hub insight. </p>', 'refs' => [ 'InsightList$member' => NULL, ], ], 'InsightList' => [ 'base' => NULL, 'refs' => [ 'GetInsightsResponse$Insights' => '<p>The insights returned by the operation.</p>', ], ], 'InsightResultValue' => [ 'base' => '<p>The insight result values returned by the GetInsightResults operation.</p>', 'refs' => [ 'InsightResultValueList$member' => NULL, ], ], 'InsightResultValueList' => [ 'base' => NULL, 'refs' => [ 'InsightResults$ResultValues' => '<p>The list of insight result values returned by the GetInsightResults operation.</p>', ], ], 'InsightResults' => [ 'base' => '<p>The insight results returned by the GetInsightResults operation.</p>', 'refs' => [ 'GetInsightResultsResponse$InsightResults' => '<p>The insight results returned by the operation.</p>', ], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Confidence' => '<p>A finding\'s confidence. Confidence is defined as the likelihood that a finding accurately identifies the behavior or issue that it was intended to identify. Confidence is scored on a 0-100 basis using a ratio scale. 0 equates zero percent confidence and 100 equates to 100 percent confidence.</p>', 'AwsSecurityFinding$Criticality' => '<p>The level of importance assigned to the resources associated with the finding. A score of 0 means the underlying resources have no criticality, and a score of 100 is reserved for the most critical resources.</p>', 'BatchImportFindingsResponse$FailedCount' => '<p>The number of findings that cannot be imported.</p>', 'BatchImportFindingsResponse$SuccessCount' => '<p>The number of findings that were successfully imported</p>', 'DateRange$Value' => '<p>A date range value for the date filter.</p>', 'GetInvitationsCountResponse$InvitationsCount' => '<p>The number of all membership invitations sent to this Security Hub member account, not including the currently accepted invitation. </p>', 'InsightResultValue$Count' => '<p>The number of findings returned for each GroupByAttributeValue.</p>', 'Network$SourcePort' => '<p>The source port of network-related information about a finding.</p>', 'Network$DestinationPort' => '<p>The destination port of network-related information about a finding.</p>', 'ProcessDetails$Pid' => '<p>The process ID.</p>', 'ProcessDetails$ParentPid' => '<p>The parent process ID.</p>', 'Severity$Normalized' => '<p>The normalized severity of a finding.</p>', ], ], 'InternalException' => [ 'base' => '<p>Internal server error.</p>', 'refs' => [], ], 'InvalidAccessException' => [ 'base' => '<p>AWS Security Hub is not enabled for the account used to make this request.</p>', 'refs' => [], ], 'InvalidInputException' => [ 'base' => '<p>The request was rejected because an invalid or out-of-range value was supplied for an input parameter.</p>', 'refs' => [], ], 'Invitation' => [ 'base' => '<p>The details of an invitation sent to an AWS account by the Security Hub master account. </p>', 'refs' => [ 'GetMasterAccountResponse$Master' => '<p>A list of details about the Security Hub master account for the current member account. </p>', 'InvitationList$member' => NULL, ], ], 'InvitationList' => [ 'base' => NULL, 'refs' => [ 'ListInvitationsResponse$Invitations' => '<p>The details of the invitations returned by the operation.</p>', ], ], 'InviteMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'InviteMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'IpFilter' => [ 'base' => '<p>The IP filter for querying findings.&gt;</p>', 'refs' => [ 'IpFilterList$member' => NULL, ], ], 'IpFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$NetworkSourceIpV4' => '<p>The source IPv4 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkSourceIpV6' => '<p>The source IPv6 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationIpV4' => '<p>The destination IPv4 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationIpV6' => '<p>The destination IPv6 address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceIpV4Addresses' => '<p>The IPv4 addresses associated with the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceIpV6Addresses' => '<p>The IPv6 addresses associated with the instance.</p>', ], ], 'KeywordFilter' => [ 'base' => '<p>A keyword filter for querying findings.</p>', 'refs' => [ 'KeywordFilterList$member' => NULL, ], ], 'KeywordFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$Keyword' => '<p>A keyword for a finding.</p>', ], ], 'LimitExceededException' => [ 'base' => '<p>The request was rejected because it attempted to create resources beyond the current AWS account limits. The error code describes the limit exceeded.</p>', 'refs' => [], ], 'ListEnabledProductsForImportRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEnabledProductsForImportResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListInvitationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListInvitationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListMembersRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListMembersResponse' => [ 'base' => NULL, 'refs' => [], ], 'Malware' => [ 'base' => '<p>A list of malware related to a finding.</p>', 'refs' => [ 'MalwareList$member' => NULL, ], ], 'MalwareList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Malware' => '<p>A list of malware related to a finding.</p>', ], ], 'MalwareState' => [ 'base' => NULL, 'refs' => [ 'Malware$State' => '<p>The state of the malware that was observed.</p>', ], ], 'MalwareType' => [ 'base' => NULL, 'refs' => [ 'Malware$Type' => '<p>The type of the malware that was observed.</p>', ], ], 'MapFilter' => [ 'base' => '<p>The map filter for querying findings.</p>', 'refs' => [ 'MapFilterList$member' => NULL, ], ], 'MapFilterComparison' => [ 'base' => NULL, 'refs' => [ 'MapFilter$Comparison' => '<p>Represents the condition to be applied to a key value when querying for findings with a map filter.</p>', ], ], 'MapFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$ProductFields' => '<p>A data type where security findings providers can include additional solution-specific details that are not part of the defined AwsSecurityFinding format.</p>', 'AwsSecurityFindingFilters$UserDefinedFields' => '<p>A list of name/value string pairs associated with the finding. These are custom, user-defined fields added to a finding. </p>', 'AwsSecurityFindingFilters$ResourceTags' => '<p>A list of AWS tags associated with a resource at the time the finding was processed.</p>', 'AwsSecurityFindingFilters$ResourceDetailsOther' => '<p>The details of a resource that does not have a specific sub-field for the resource type defined.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'GetEnabledStandardsRequest$MaxResults' => '<p>Indicates the maximum number of items that you want in the response.</p>', 'GetFindingsRequest$MaxResults' => '<p>Indicates the maximum number of items that you want in the response.</p>', 'GetInsightsRequest$MaxResults' => '<p>Indicates the maximum number of items that you want in the response.</p>', 'ListEnabledProductsForImportRequest$MaxResults' => '<p>Indicates the maximum number of items that you want in the response.</p>', 'ListInvitationsRequest$MaxResults' => '<p>Indicates the maximum number of items that you want in the response. </p>', 'ListMembersRequest$MaxResults' => '<p>Indicates the maximum number of items that you want in the response. </p>', ], ], 'Member' => [ 'base' => '<p>The details for a Security Hub member account.</p>', 'refs' => [ 'MemberList$member' => NULL, ], ], 'MemberList' => [ 'base' => NULL, 'refs' => [ 'GetMembersResponse$Members' => '<p>A list of details about the Security Hub member accounts.</p>', 'ListMembersResponse$Members' => '<p>Member details returned by the operation.</p>', ], ], 'Network' => [ 'base' => '<p>The details of network-related information about a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Network' => '<p>The details of network-related information about a finding.</p>', ], ], 'NetworkDirection' => [ 'base' => NULL, 'refs' => [ 'Network$Direction' => '<p>Indicates the direction of network traffic associated with a finding.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'GetEnabledStandardsRequest$NextToken' => '<p>Paginates results. Set the value of this parameter to NULL on your first call to the GetEnabledStandards operation. For subsequent calls to the operation, fill nextToken in the request with the value of nextToken from the previous response to continue listing data.</p>', 'GetEnabledStandardsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'GetFindingsRequest$NextToken' => '<p>Paginates results. Set the value of this parameter to NULL on your first call to the GetFindings operation. For subsequent calls to the operation, fill nextToken in the request with the value of nextToken from the previous response to continue listing data.</p>', 'GetFindingsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'GetInsightsRequest$NextToken' => '<p>Paginates results. Set the value of this parameter to NULL on your first call to the GetInsights operation. For subsequent calls to the operation, fill nextToken in the request with the value of nextToken from the previous response to continue listing data.</p>', 'GetInsightsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'ListEnabledProductsForImportRequest$NextToken' => '<p>Paginates results. Set the value of this parameter to NULL on your first call to the ListEnabledProductsForImport operation. For subsequent calls to the operation, fill nextToken in the request with the value of NextToken from the previous response to continue listing data.</p>', 'ListEnabledProductsForImportResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'ListInvitationsRequest$NextToken' => '<p>Paginates results. Set the value of this parameter to NULL on your first call to the ListInvitations operation. For subsequent calls to the operation, fill nextToken in the request with the value of NextToken from the previous response to continue listing data. </p>', 'ListMembersRequest$NextToken' => '<p>Paginates results. Set the value of this parameter to NULL on your first call to the ListMembers operation. For subsequent calls to the operation, fill nextToken in the request with the value of NextToken from the previous response to continue listing data. </p>', ], ], 'NonEmptyString' => [ 'base' => NULL, 'refs' => [ 'AcceptInvitationRequest$MasterId' => '<p>The account ID of the master Security Hub account whose invitation you\'re accepting. </p>', 'AcceptInvitationRequest$InvitationId' => '<p>The ID of the invitation that is sent to the AWS account by the Security Hub master account. </p>', 'AccessDeniedException$Message' => NULL, 'AccessDeniedException$Code' => NULL, 'AccountDetails$Email' => '<p>The email of an AWS account.</p>', 'AccountIdList$member' => NULL, 'ArnList$member' => NULL, 'AwsEc2InstanceDetails$Type' => '<p>The instance type of the instance. </p>', 'AwsEc2InstanceDetails$ImageId' => '<p>The Amazon Machine Image (AMI) ID of the instance.</p>', 'AwsEc2InstanceDetails$KeyName' => '<p>The key name associated with the instance.</p>', 'AwsEc2InstanceDetails$IamInstanceProfileArn' => '<p>The IAM profile ARN of the instance.</p>', 'AwsEc2InstanceDetails$VpcId' => '<p>The identifier of the VPC in which the instance was launched.</p>', 'AwsEc2InstanceDetails$SubnetId' => '<p>The identifier of the subnet in which the instance was launched.</p>', 'AwsEc2InstanceDetails$LaunchedAt' => '<p>The date/time the instance was launched.</p>', 'AwsIamAccessKeyDetails$UserName' => '<p>The user associated with the IAM access key related to a finding.</p>', 'AwsIamAccessKeyDetails$CreatedAt' => '<p>The creation date/time of the IAM access key related to a finding.</p>', 'AwsS3BucketDetails$OwnerId' => '<p>The canonical user ID of the owner of the S3 bucket.</p>', 'AwsS3BucketDetails$OwnerName' => '<p>The display name of the owner of the S3 bucket.</p>', 'AwsSecurityFinding$SchemaVersion' => '<p>The schema version for which a finding is formatted.</p>', 'AwsSecurityFinding$Id' => '<p>The security findings provider-specific identifier for a finding.</p>', 'AwsSecurityFinding$ProductArn' => '<p>The ARN generated by Security Hub that uniquely identifies a third-party company (security findings provider) once this provider\'s product (solution that generates findings) is registered with Security Hub. </p>', 'AwsSecurityFinding$GeneratorId' => '<p>This is the identifier for the solution-specific component (a discrete unit of logic) that generated a finding. In various security findings provider\'s solutions, this generator can be called a rule, a check, a detector, a plug-in, etc. </p>', 'AwsSecurityFinding$AwsAccountId' => '<p>The AWS account ID in which a finding is generated.</p>', 'AwsSecurityFinding$FirstObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the potential security issue captured by a finding was first observed by the security findings provider.</p>', 'AwsSecurityFinding$LastObservedAt' => '<p>An ISO8601-formatted timestamp that indicates when the potential security issue captured by a finding was most recently observed by the security findings provider.</p>', 'AwsSecurityFinding$CreatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the potential security issue captured by a finding was created by the security findings provider.</p>', 'AwsSecurityFinding$UpdatedAt' => '<p>An ISO8601-formatted timestamp that indicates when the finding record was last updated by the security findings provider. </p>', 'AwsSecurityFinding$Title' => '<p>A finding\'s title.</p> <note> <p>In this release, Title is a required property.</p> </note>', 'AwsSecurityFinding$Description' => '<p>A finding\'s description.</p> <note> <p>In this release, Description is a required property.</p> </note>', 'AwsSecurityFinding$SourceUrl' => '<p>A URL that links to a page about the current finding in the security findings provider\'s solution.</p>', 'ContainerDetails$Name' => '<p>The name of the container related to a finding.</p>', 'ContainerDetails$ImageId' => '<p>The identifier of the image related to a finding.</p>', 'ContainerDetails$ImageName' => '<p>The name of the image related to a finding.</p>', 'ContainerDetails$LaunchedAt' => '<p>The date/time that the container was started.</p>', 'CreateInsightRequest$Name' => '<p>The user-defined name that identifies the insight that you want to create.</p>', 'CreateInsightRequest$GroupByAttribute' => '<p>The attribute by which the insight\'s findings are grouped. This attribute is used as a findings aggregator for the purposes of viewing and managing multiple related findings under a single operand. </p>', 'CreateInsightResponse$InsightArn' => '<p>The ARN Of the created insight.</p>', 'DateFilter$Start' => '<p>A start date for the date filter.</p>', 'DateFilter$End' => '<p>An end date for the date filter.</p>', 'DeleteInsightRequest$InsightArn' => '<p>The ARN of the insight that you want to delete.</p>', 'DeleteInsightResponse$InsightArn' => '<p>The ARN of the insight that was deleted.</p>', 'DisableImportFindingsForProductRequest$ProductSubscriptionArn' => '<p>The ARN of a resource that represents your subscription to a supported product.</p>', 'EnableImportFindingsForProductRequest$ProductArn' => '<p>The ARN of the product that generates findings that you want to import into Security Hub.</p>', 'EnableImportFindingsForProductResponse$ProductSubscriptionArn' => '<p>The ARN of a resource that represents your subscription to the product that generates the findings that you want to import into Security Hub.</p>', 'FieldMap$key' => NULL, 'FieldMap$value' => NULL, 'GetInsightResultsRequest$InsightArn' => '<p>The ARN of the insight whose results you want to see.</p>', 'ImportFindingsError$Id' => '<p>The id of the error made during the BatchImportFindings operation.</p>', 'ImportFindingsError$ErrorCode' => '<p>The code of the error made during the BatchImportFindings operation. </p>', 'ImportFindingsError$ErrorMessage' => '<p>The message of the error made during the BatchImportFindings operation. </p>', 'Insight$InsightArn' => '<p>The ARN of a Security Hub insight.</p>', 'Insight$Name' => '<p>The name of a Security Hub insight.</p>', 'Insight$GroupByAttribute' => '<p>The attribute by which the insight\'s findings are grouped. This attribute is used as a findings aggregator for the purposes of viewing and managing multiple related findings under a single operand.</p>', 'InsightResultValue$GroupByAttributeValue' => '<p>The value of the attribute by which the findings are grouped for the insight\'s whose results are returned by the GetInsightResults operation.</p>', 'InsightResults$InsightArn' => '<p>The ARN of the insight whose results are returned by the GetInsightResults operation.</p>', 'InsightResults$GroupByAttribute' => '<p>The attribute by which the findings are grouped for the insight\'s whose results are returned by the GetInsightResults operation.</p>', 'InternalException$Message' => NULL, 'InternalException$Code' => NULL, 'InvalidAccessException$Message' => NULL, 'InvalidAccessException$Code' => NULL, 'InvalidInputException$Message' => NULL, 'InvalidInputException$Code' => NULL, 'Invitation$InvitationId' => '<p>The ID of the invitation sent by the master Security Hub account.</p>', 'Invitation$MemberStatus' => '<p>The current relationship status between the inviter and invitee accounts.</p>', 'IpFilter$Cidr' => '<p>Finding\'s CIDR value.</p>', 'KeywordFilter$Value' => '<p>A value for the keyword.</p>', 'LimitExceededException$Message' => NULL, 'LimitExceededException$Code' => NULL, 'ListInvitationsResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'ListMembersResponse$NextToken' => '<p>The token that is required for pagination.</p>', 'Malware$Name' => '<p>The name of the malware that was observed.</p>', 'Malware$Path' => '<p>The filesystem path of the malware that was observed.</p>', 'MapFilter$Key' => '<p>The key of the map filter.</p>', 'MapFilter$Value' => '<p>The value for the key in the map filter.</p>', 'Member$Email' => '<p>The email of a Security Hub member account.</p>', 'Member$MasterId' => '<p>The AWS account ID of the master Security Hub account to this member account.</p>', 'Member$MemberStatus' => '<p>The status of the relationship between the member account and its master account. </p>', 'Network$Protocol' => '<p>The protocol of network-related information about a finding.</p>', 'Network$SourceIpV4' => '<p>The source IPv4 address of network-related information about a finding.</p>', 'Network$SourceIpV6' => '<p>The source IPv6 address of network-related information about a finding.</p>', 'Network$SourceDomain' => '<p>The source domain of network-related information about a finding.</p>', 'Network$SourceMac' => '<p>The source media access control (MAC) address of network-related information about a finding.</p>', 'Network$DestinationIpV4' => '<p>The destination IPv4 address of network-related information about a finding.</p>', 'Network$DestinationIpV6' => '<p>The destination IPv6 address of network-related information about a finding.</p>', 'Network$DestinationDomain' => '<p>The destination domain of network-related information about a finding.</p>', 'Note$Text' => '<p>The text of a note.</p>', 'Note$UpdatedBy' => '<p>The principal that created a note.</p>', 'Note$UpdatedAt' => '<p>The timestamp of when the note was updated.</p>', 'NoteUpdate$Text' => '<p>The updated note text.</p>', 'NoteUpdate$UpdatedBy' => '<p>The principal that updated the note.</p>', 'ProcessDetails$Name' => '<p>The name of the process.</p>', 'ProcessDetails$Path' => '<p>The path to the process executable.</p>', 'ProcessDetails$LaunchedAt' => '<p>The date/time that the process was launched.</p>', 'ProcessDetails$TerminatedAt' => '<p>The date/time that the process was terminated.</p>', 'ProductSubscriptionArnList$member' => NULL, 'Recommendation$Text' => '<p>The recommendation of what to do about the issue described in a finding. </p>', 'Recommendation$Url' => '<p>A URL to link to general remediation information for the finding type of a finding. </p>', 'RelatedFinding$ProductArn' => '<p>The ARN of the solution that generated a related finding.</p>', 'RelatedFinding$Id' => '<p>The solution-generated identifier for a related finding.</p>', 'Resource$Type' => '<p>Specifies the type of the resource for which details are provided.</p>', 'Resource$Id' => '<p>The canonical identifier for the given resource type.</p>', 'Resource$Region' => '<p>The canonical AWS external region name where this resource is located.</p>', 'ResourceConflictException$Message' => NULL, 'ResourceConflictException$Code' => NULL, 'ResourceNotFoundException$Message' => NULL, 'ResourceNotFoundException$Code' => NULL, 'Result$ProcessingResult' => '<p>The reason for why an account could not be processed.</p>', 'SortCriterion$Field' => '<p>The finding attribute used for sorting findings.</p>', 'StandardsInputParameterMap$key' => NULL, 'StandardsInputParameterMap$value' => NULL, 'StandardsSubscription$StandardsSubscriptionArn' => '<p>The ARN of a resource that represents your subscription to a supported standard.</p>', 'StandardsSubscription$StandardsArn' => '<p>The ARN of a standard.</p> <important> <p>In this release, Security Hub only supports the CIS AWS Foundations standard. </p> <p>Its ARN is arn:aws:securityhub:::ruleset/cis-aws-foundations-benchmark/v/1.2.0.</p> </important>', 'StandardsSubscriptionArns$member' => NULL, 'StandardsSubscriptionRequest$StandardsArn' => '<p>The ARN of the standard that you want to enable.</p> <important> <p>In this release, Security Hub only supports the CIS AWS Foundations standard. </p> <p>Its ARN is arn:aws:securityhub:::ruleset/cis-aws-foundations-benchmark/v/1.2.0.</p> </important>', 'StringFilter$Value' => '<p>The string filter value.</p>', 'StringList$member' => NULL, 'ThreatIntelIndicator$Value' => '<p>The value of a threat intel indicator.</p>', 'ThreatIntelIndicator$LastObservedAt' => '<p>The date/time of the last observation of a threat intel indicator.</p>', 'ThreatIntelIndicator$Source' => '<p>The source of the threat intel.</p>', 'ThreatIntelIndicator$SourceUrl' => '<p>The URL for more details from the source of the threat intel.</p>', 'TypeList$member' => NULL, 'UpdateInsightRequest$InsightArn' => '<p>The ARN of the insight that you want to update.</p>', 'UpdateInsightRequest$Name' => '<p>The updated name for the insight.</p>', 'UpdateInsightRequest$GroupByAttribute' => '<p>The updated GroupBy attribute that defines this insight.</p>', ], ], 'Note' => [ 'base' => '<p>A user-defined note added to a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Note' => '<p>A user-defined note added to a finding.</p>', ], ], 'NoteUpdate' => [ 'base' => '<p>The updated note.</p>', 'refs' => [ 'UpdateFindingsRequest$Note' => '<p>The updated note for the finding.</p>', ], ], 'NumberFilter' => [ 'base' => '<p>A number filter for querying findings.</p>', 'refs' => [ 'NumberFilterList$member' => NULL, ], ], 'NumberFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$SeverityProduct' => '<p>The native severity as defined by the security findings provider\'s solution that generated the finding.</p>', 'AwsSecurityFindingFilters$SeverityNormalized' => '<p>The normalized severity of a finding.</p>', 'AwsSecurityFindingFilters$Confidence' => '<p>A finding\'s confidence. Confidence is defined as the likelihood that a finding accurately identifies the behavior or issue that it was intended to identify. Confidence is scored on a 0-100 basis using a ratio scale. 0 equates zero percent confidence and 100 equates to 100 percent confidence.</p>', 'AwsSecurityFindingFilters$Criticality' => '<p>The level of importance assigned to the resources associated with the finding. A score of 0 means the underlying resources have no criticality, and a score of 100 is reserved for the most critical resources.</p>', 'AwsSecurityFindingFilters$NetworkSourcePort' => '<p>The source port of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationPort' => '<p>The destination port of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$ProcessPid' => '<p>The process ID.</p>', 'AwsSecurityFindingFilters$ProcessParentPid' => '<p>The parent process ID.</p>', ], ], 'Partition' => [ 'base' => NULL, 'refs' => [ 'Resource$Partition' => '<p>The canonical AWS partition name to which the region is assigned.</p>', ], ], 'ProcessDetails' => [ 'base' => '<p>The details of process-related information about a finding.</p>', 'refs' => [ 'AwsSecurityFinding$Process' => '<p>The details of process-related information about a finding.</p>', ], ], 'ProductSubscriptionArnList' => [ 'base' => NULL, 'refs' => [ 'ListEnabledProductsForImportResponse$ProductSubscriptions' => '<p>A list of ARNs for the resources that represent your subscriptions to products. </p>', ], ], 'Recommendation' => [ 'base' => '<p>Provides a recommendation on how to remediate the issue identified within a finding.</p>', 'refs' => [ 'Remediation$Recommendation' => '<p>Provides a recommendation on how to remediate the issue identified within a finding.</p>', ], ], 'RecordState' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$RecordState' => '<p>The record state of a finding.</p>', 'UpdateFindingsRequest$RecordState' => '<p>The updated record state for the finding.</p>', ], ], 'RelatedFinding' => [ 'base' => '<p>Related finding\'s details.</p>', 'refs' => [ 'RelatedFindingList$member' => NULL, ], ], 'RelatedFindingList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$RelatedFindings' => '<p>A list of related findings.</p>', ], ], 'Remediation' => [ 'base' => '<p>The remediation options for a finding. </p>', 'refs' => [ 'AwsSecurityFinding$Remediation' => '<p>An data type that describes the remediation options for a finding.</p>', ], ], 'Resource' => [ 'base' => '<p>A resource data type that describes a resource to which the finding refers.</p>', 'refs' => [ 'ResourceList$member' => NULL, ], ], 'ResourceConflictException' => [ 'base' => '<p>The resource specified in the request conflicts with an existing resource.</p>', 'refs' => [], ], 'ResourceDetails' => [ 'base' => '<p>Provides additional details about the resource.</p>', 'refs' => [ 'Resource$Details' => '<p>Provides additional details about the resource.</p>', ], ], 'ResourceList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Resources' => '<p>A set of resource data types that describe the resources to which the finding refers.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The request was rejected because the specified resource cannot be found.</p>', 'refs' => [], ], 'Result' => [ 'base' => '<p>The account details that could not be processed.</p>', 'refs' => [ 'ResultList$member' => NULL, ], ], 'ResultList' => [ 'base' => NULL, 'refs' => [ 'CreateMembersResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that could not be processed.</p>', 'DeclineInvitationsResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that could not be processed. </p>', 'DeleteInvitationsResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that could not be processed. </p>', 'DeleteMembersResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that could not be processed. </p>', 'GetMembersResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that could not be processed.</p>', 'InviteMembersResponse$UnprocessedAccounts' => '<p>A list of account ID and email address pairs of the AWS accounts that could not be processed. </p>', ], ], 'Severity' => [ 'base' => '<p>A finding\'s severity.</p>', 'refs' => [ 'AwsSecurityFinding$Severity' => '<p>A finding\'s severity.</p>', ], ], 'SortCriteria' => [ 'base' => NULL, 'refs' => [ 'GetFindingsRequest$SortCriteria' => '<p>A collection of attributes used for sorting findings.</p>', ], ], 'SortCriterion' => [ 'base' => '<p>A collection of attributes used for sorting findings.</p>', 'refs' => [ 'SortCriteria$member' => NULL, ], ], 'SortOrder' => [ 'base' => NULL, 'refs' => [ 'SortCriterion$SortOrder' => '<p>The order used for sorting findings.</p>', ], ], 'StandardsInputParameterMap' => [ 'base' => NULL, 'refs' => [ 'StandardsSubscription$StandardsInput' => '<p/>', 'StandardsSubscriptionRequest$StandardsInput' => '<p/>', ], ], 'StandardsStatus' => [ 'base' => NULL, 'refs' => [ 'StandardsSubscription$StandardsStatus' => '<p>The standard\'s status.</p>', ], ], 'StandardsSubscription' => [ 'base' => '<p>A resource that represents your subscription to a supported standard.</p>', 'refs' => [ 'StandardsSubscriptions$member' => NULL, ], ], 'StandardsSubscriptionArns' => [ 'base' => NULL, 'refs' => [ 'BatchDisableStandardsRequest$StandardsSubscriptionArns' => '<p>The ARNS of the standards subscriptions that you want to disable.</p>', 'GetEnabledStandardsRequest$StandardsSubscriptionArns' => '<p>The list of standards subscription ARNS that you want to list and describe.</p>', ], ], 'StandardsSubscriptionRequest' => [ 'base' => '<p>The standard that you want to enable.</p>', 'refs' => [ 'StandardsSubscriptionRequests$member' => NULL, ], ], 'StandardsSubscriptionRequests' => [ 'base' => NULL, 'refs' => [ 'BatchEnableStandardsRequest$StandardsSubscriptionRequests' => '<p>The list of standards that you want to enable.</p> <important> <p>In this release, Security Hub only supports the CIS AWS Foundations standard. </p> <p>Its ARN is arn:aws:securityhub:::ruleset/cis-aws-foundations-benchmark/v/1.2.0.</p> </important>', ], ], 'StandardsSubscriptions' => [ 'base' => NULL, 'refs' => [ 'BatchDisableStandardsResponse$StandardsSubscriptions' => '<p>The details of the standards subscriptions that were disabled.</p>', 'BatchEnableStandardsResponse$StandardsSubscriptions' => '<p>The details of the standards subscriptions that were enabled.</p>', 'GetEnabledStandardsResponse$StandardsSubscriptions' => '<p>The standards subscription details returned by the operation.</p>', ], ], 'StringFilter' => [ 'base' => '<p>A string filter for querying findings.</p>', 'refs' => [ 'StringFilterList$member' => NULL, ], ], 'StringFilterComparison' => [ 'base' => NULL, 'refs' => [ 'StringFilter$Comparison' => '<p>Represents the condition to be applied to a string value when querying for findings. </p>', ], ], 'StringFilterList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFindingFilters$ProductArn' => '<p>The ARN generated by Security Hub that uniquely identifies a third-party company (security findings provider) once this provider\'s product (solution that generates findings) is registered with Security Hub.</p>', 'AwsSecurityFindingFilters$AwsAccountId' => '<p>The AWS account ID in which a finding is generated.</p>', 'AwsSecurityFindingFilters$Id' => '<p>The security findings provider-specific identifier for a finding.</p>', 'AwsSecurityFindingFilters$GeneratorId' => '<p>This is the identifier for the solution-specific component (a discrete unit of logic) that generated a finding. In various security findings provider\'s solutions, this generator can be called a rule, a check, a detector, a plug-in, etc.</p>', 'AwsSecurityFindingFilters$Type' => '<p>A finding type in the format of \'namespace/category/classifier\' that classifies a finding.</p>', 'AwsSecurityFindingFilters$SeverityLabel' => '<p>The label of a finding\'s severity.</p>', 'AwsSecurityFindingFilters$Title' => '<p>A finding\'s title.</p>', 'AwsSecurityFindingFilters$Description' => '<p>A finding\'s description.</p>', 'AwsSecurityFindingFilters$RecommendationText' => '<p>The recommendation of what to do about the issue described in a finding.</p>', 'AwsSecurityFindingFilters$SourceUrl' => '<p>A URL that links to a page about the current finding in the security findings provider\'s solution.</p>', 'AwsSecurityFindingFilters$ProductName' => '<p>The name of the solution (product) that generates findings.</p>', 'AwsSecurityFindingFilters$CompanyName' => '<p>The name of the findings provider (company) that owns the solution (product) that generates findings.</p>', 'AwsSecurityFindingFilters$MalwareName' => '<p>The name of the malware that was observed.</p>', 'AwsSecurityFindingFilters$MalwareType' => '<p>The type of the malware that was observed.</p>', 'AwsSecurityFindingFilters$MalwarePath' => '<p>The filesystem path of the malware that was observed.</p>', 'AwsSecurityFindingFilters$MalwareState' => '<p>The state of the malware that was observed.</p>', 'AwsSecurityFindingFilters$NetworkDirection' => '<p>Indicates the direction of network traffic associated with a finding.</p>', 'AwsSecurityFindingFilters$NetworkProtocol' => '<p>The protocol of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkSourceDomain' => '<p>The source domain of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkSourceMac' => '<p>The source media access control (MAC) address of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$NetworkDestinationDomain' => '<p>The destination domain of network-related information about a finding.</p>', 'AwsSecurityFindingFilters$ProcessName' => '<p>The name of the process.</p>', 'AwsSecurityFindingFilters$ProcessPath' => '<p>The path to the process executable.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorType' => '<p>The type of a threat intel indicator.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorValue' => '<p>The value of a threat intel indicator.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorCategory' => '<p>The category of a threat intel indicator.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorSource' => '<p>The source of the threat intel.</p>', 'AwsSecurityFindingFilters$ThreatIntelIndicatorSourceUrl' => '<p>The URL for more details from the source of the threat intel.</p>', 'AwsSecurityFindingFilters$ResourceType' => '<p>Specifies the type of the resource for which details are provided.</p>', 'AwsSecurityFindingFilters$ResourceId' => '<p>The canonical identifier for the given resource type.</p>', 'AwsSecurityFindingFilters$ResourcePartition' => '<p>The canonical AWS partition name to which the region is assigned.</p>', 'AwsSecurityFindingFilters$ResourceRegion' => '<p>The canonical AWS external region name where this resource is located.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceType' => '<p>The instance type of the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceImageId' => '<p>The Amazon Machine Image (AMI) ID of the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceKeyName' => '<p>The key name associated with the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceIamInstanceProfileArn' => '<p>The IAM profile ARN of the instance.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceVpcId' => '<p>The identifier of the VPC in which the instance was launched.</p>', 'AwsSecurityFindingFilters$ResourceAwsEc2InstanceSubnetId' => '<p>The identifier of the subnet in which the instance was launched.</p>', 'AwsSecurityFindingFilters$ResourceAwsS3BucketOwnerId' => '<p>The canonical user ID of the owner of the S3 bucket.</p>', 'AwsSecurityFindingFilters$ResourceAwsS3BucketOwnerName' => '<p>The display name of the owner of the S3 bucket.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyUserName' => '<p>The user associated with the IAM access key related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceAwsIamAccessKeyStatus' => '<p>The status of the IAM access key related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerName' => '<p>The name of the container related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerImageId' => '<p>The identifier of the image related to a finding.</p>', 'AwsSecurityFindingFilters$ResourceContainerImageName' => '<p>The name of the image related to a finding.</p>', 'AwsSecurityFindingFilters$ComplianceStatus' => '<p>Exclusive to findings that are generated as the result of a check run against a specific rule in a supported standard (for example, AWS CIS Foundations). Contains compliance-related finding details.</p>', 'AwsSecurityFindingFilters$VerificationState' => '<p>Indicates the veracity of a finding. </p>', 'AwsSecurityFindingFilters$WorkflowState' => '<p>The workflow state of a finding.</p>', 'AwsSecurityFindingFilters$RecordState' => '<p>The updated record state for the finding.</p>', 'AwsSecurityFindingFilters$RelatedFindingsProductArn' => '<p>The ARN of the solution that generated a related finding.</p>', 'AwsSecurityFindingFilters$RelatedFindingsId' => '<p>The solution-generated identifier for a related finding.</p>', 'AwsSecurityFindingFilters$NoteText' => '<p>The text of a note.</p>', 'AwsSecurityFindingFilters$NoteUpdatedBy' => '<p>The principal that created a note.</p>', ], ], 'StringList' => [ 'base' => NULL, 'refs' => [ 'AwsEc2InstanceDetails$IpV4Addresses' => '<p>The IPv4 addresses associated with the instance.</p>', 'AwsEc2InstanceDetails$IpV6Addresses' => '<p>The IPv6 addresses associated with the instance.</p>', ], ], 'ThreatIntelIndicator' => [ 'base' => '<p>Threat intel details related to a finding.</p>', 'refs' => [ 'ThreatIntelIndicatorList$member' => NULL, ], ], 'ThreatIntelIndicatorCategory' => [ 'base' => NULL, 'refs' => [ 'ThreatIntelIndicator$Category' => '<p>The category of a threat intel indicator.</p>', ], ], 'ThreatIntelIndicatorList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$ThreatIntelIndicators' => '<p>Threat intel details related to a finding.</p>', ], ], 'ThreatIntelIndicatorType' => [ 'base' => NULL, 'refs' => [ 'ThreatIntelIndicator$Type' => '<p>The type of a threat intel indicator.</p>', ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'Invitation$InvitedAt' => '<p>The timestamp of when the invitation was sent.</p>', 'Member$InvitedAt' => '<p>Time stamp at which the member account was invited to Security Hub.</p>', 'Member$UpdatedAt' => '<p>Time stamp at which this member account was updated.</p>', ], ], 'TypeList' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$Types' => '<p>One or more finding types in the format of \'namespace/category/classifier\' that classify a finding.</p> <p>Valid namespace values are: Software and Configuration Checks | TTPs | Effects | Unusual Behaviors | Sensitive Data Identifications</p>', ], ], 'UpdateFindingsRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFindingsResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateInsightRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateInsightResponse' => [ 'base' => NULL, 'refs' => [], ], 'VerificationState' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$VerificationState' => '<p>Indicates the veracity of a finding. </p>', ], ], 'WorkflowState' => [ 'base' => NULL, 'refs' => [ 'AwsSecurityFinding$WorkflowState' => '<p>The workflow state of a finding. </p>', ], ], ],];
